Loading...
Searching...
No Matches
Dune::Amg::DirectSolverSelector< Matrix, Vector > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

`#include <dune/istl/paamg/amg.hh>`

## Classes

struct | Solver
struct | Solver< M, superlu >

## Public Types

enum | SolverType { umfpack , superlu , none }
typedef Matrix::field_type | field_type
typedef Solver< Matrix, solver > | SelectedSolver
typedef SelectedSolver::type | DirectSolver

## Static Public Member Functions

static std::string | name ()
static DirectSolver * | create (const Matrix &mat, bool verbose, bool reusevector)

## Static Public Attributes

static constexpr SolverType | solver
static constexpr bool | isDirectSolver = solver != none

The documentation for this struct was generated from the following file:

- amg.hh